Bug 342261 - multiarch conflicts in libnjb
multiarch conflicts in libnjb
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libnjb (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Linus Walleij
Fedora Extras Quality Assurance
:
Depends On: 349361
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-19 17:47 EDT by Bill Nottingham
Modified: 2014-03-16 23:10 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.2.6-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-12 18:57:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-10-19 17:47:39 EDT
libnjb (or one of its subpacakges) has multiarch conflicts when installed for both i386 and x86_64 in the Fedora development tree. For help in resolving them, see http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks. 

  file /usr/share/doc/libnjb-2.2.6/html/annotated.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/base_8c.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/base_8h-source.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/byteorder_8c.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/byteorder_8h-source.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/cursesplay_8c-example.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/datafile_8c.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/datafile_8h-source.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/defs_8h-source.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/delfile_8c-example.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/deltr_8c-example.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/dirs.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/dumpeax_8c-example.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/dumptime_8c-example.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/eax_8c.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/eax_8h-source.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/examples.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/examples_8h-source.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/files.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/files_8c-example.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/functions.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/functions_vars.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/fwupgrade_8c-example.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/getfile_8c-example.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/getowner_8c-example.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/gettr_8c-example.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/getusage_8c-example.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/globals.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/globals_func.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/globals_type.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/globals_vars.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/group__basic.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/group__codecs.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/group__datatagapi.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/group__debugflags.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/group__eaxapi.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/group__errors.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/group__frames.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/group__frametypes.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/group__internals.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/group__njbboxes.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/group__playapi.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/group__playlistapi.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/group__tagapi.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/group__timeapi.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/group__turboflags.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/group__types.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/group__unicodeflags.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/handshake_8c-example.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/index.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/ioutil_8c.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/ioutil_8h-source.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/libnjb_8h-source.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/libnjb_8h.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/mainpage_8h-source.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/modules.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/njb__error_8h-source.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/njbtime_8c.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/njbtime_8h-source.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/pl_8c-example.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/play_8c-example.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/playlist_8c.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/playlist_8h-source.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/playlists_8c-example.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/procedure_8c.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/procedure_8h-source.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/protocol3_8c.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/protocol3_8h-source.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/protocol3_8h.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/protocol_8c.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/protocol_8h-source.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/sendfile_8c-example.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/sendtr_8c-example.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/setowner_8c-example.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/setpbm_8c-example.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/settime_8c-example.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/songid_8c.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/songid_8h-source.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/structnjb__datafile__struct.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/structnjb__eax__struct.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/structnjb__error__stack__struct.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/structnjb__keyval__struct.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/structnjb__playlist__struct.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/structnjb__playlist__track__struct.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/structnjb__songid__frame__struct.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/structnjb__songid__struct.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/structnjb__struct.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/structnjb__time__struct.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/tagtr_8c-example.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/tracks_8c-example.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/unicode_8c.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/unicode_8h-source.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/usb__io_8c.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8
  file /usr/share/doc/libnjb-2.2.6/html/usb__io_8h-source.html from install of libnjb-devel-2.2.6-1.fc8 conflicts with file from package libnjb-devel-2.2.6-1.fc8

(Note that this is an automated bug filing.)
It would be nice to have these bugs fixed by the beta of Fedora 9.
Comment 1 Linus Walleij 2007-10-24 05:40:15 EDT
Fixed and built, the ugly way, see spec file:

# Remove the Doxygen HTML documentation, this get different
# each time it is generated and thus creates multiarch conflicts.
# I don't want to pre-generate it but will instead wait for upstream
# to find a suitable solution that will always bring the same files,
# or that Doxygen is fixed not to do this.

This solution will do for now. Please verify that this works once
2.2.6-2 is available.
Comment 2 Fedora Update System 2007-11-06 11:09:42 EST
libnjb-2.2.6-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libnjb'
Comment 3 Fedora Update System 2007-11-12 18:57:27 EST
libnjb-2.2.6-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.